> For the complete documentation index, see [llms.txt](https://developers.bloomcredit.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.bloomcredit.io/enablement-services/reopen-a-closed-tradeline.md).

# Reopen a Closed Tradeline

Reopen a tradeline that has been closed in Bloom's Enablement Services

## Prerequisites:

1. User must be open. A user is open if the [me query](/enablement-services/enablement_gql_ref.md#query-me) returns a null `closed_at` date.
2. User must have at least one active connection (connection must not be closed or disconnected).
3. Tradeline to be reopened must have been closed by the user.
   1. Tradelines closed due to inactivity are reopened automatically upon receiving a new transaction.

<br>

## Procedure:

* Call the [reopenTradeline](/enablement-services/enablement_gql_ref.md#mutation-reopentradeline) mutation with the tradeline id as input.

Example (reopening a rent tradeline):

{% code title="GraphQL" %}

```graphql
mutation ReopenTradeline {
    reopenTradeline(
        input: { tradelineId: "019f1e57-9f62-7840-a544-0202a8583a7c" }
    ) {
        tradeline {
            id
            merchant
            category
            status
            isEligible
            paymentFrequency
            lastTransactionDate
            transactionCount
            details {
                ... on RentTradelineDetails {
                    serviceAddressString
                    serviceAddressType
                    leaseStartDate
                    isPrimaryAddress
                    hasOtherMortgageOrRent
                }
            }
            createdAt
            updatedAt
            reportedConsumerAccountNumber
        }
    }
}

```

{% endcode %}

Example response:

{% code title="JSON" %}

```json
{
    "data": {
        "openClosedTradeline": {
            "tradeline": {
                "id": "019f1e57-9f62-7840-a544-0202a8583a7c",
                "merchant": "Water",
                "category": "UTILITY",
                "status": "OPEN",
                "isEligible": true,
                "paymentFrequency": "SEMIMONTHLY",
                "lastTransactionDate": "2026-07-01",
                "transactionCount": 6,
                "details": {},
                "createdAt": "2026-07-01T15:41:26.755542Z",
                "updatedAt": "2026-07-02T14:43:36.567762588Z",
                "reportedConsumerAccountNumber": "00000D7JXQIGF1K1U5995DPI08NWAY"
            }
        }
    }
}
```

{% endcode %}

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.bloomcredit.io/enablement-services/reopen-a-closed-tradeline.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
